#--
# Copyright (c) 2004-2011 Mellanox Technologies LTD. All rights reserved.
#
# This software is available to you under the terms of the
# OpenIB.org BSD license included below:
#
#     Redistribution and use in source and binary forms, with or
#     without modification, are permitted provided that the following
#     conditions are met:
#
#      - Redistributions of source code must retain the above
#        copyright notice, this list of conditions and the following
#        disclaimer.
#
#      - Redistributions in binary form must reproduce the above
#        copyright notice, this list of conditions and the following
#        disclaimer in the documentation and/or other materials
#        provided with the distribution.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
# BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#--


#! /usr/bin/perl -w

my $switch = 0x0;

my $H = "([xXa-fA-F0-9]+)";
my $D = "([0-9]+)";
my $DD = "\\s+([0-9]+)\\s+([0-9]+)";

while (<>) {

    if (/^Switch\s+$H/) {
	$switch = $1;
    }

    if (/^\s*$D\s+$D\s+:$DD$DD$DD$DD$DD$DD$DD$DD/) {

	printf "%s %d %d", $switch, $1, $2;
	printf " 0x%x%x 0x%x%x", $3, $4, $5, $6;
	printf " 0x%x%x 0x%x%x", $7, $8, $9, $10;
	printf " 0x%x%x 0x%x%x", $11, $12, $13, $14;
	printf " 0x%x%x 0x%x%x", $15, $16, $17, $18;
	printf "\n";
    }
}

